package com.goldenwater.slaj.hidd.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hidd.domain.BisHiddAssessRec;

/**
 * 隐患考核记录 数据层
 */
@Mapper
public interface BisHiddAssessRecMapper {

    /**
     * 查询隐患考核记录信息
     * @param id 查询条件
     * @return 隐患考核记录信息
     */
    BisHiddAssessRec selectBisHiddAssessRecById(Long id);

    /**
     * 查询隐患考核记录列表
     * @param bisHiddAssessRec 隐患考核记录查询条件
     * @return 隐患考核记录集合
     */
    List<BisHiddAssessRec> selectBisHiddAssessRecList(BisHiddAssessRec bisHiddAssessRec);

    /**
     * 新增隐患考核记录
     * @param bisHiddAssessRec 隐患考核记录信息
     * @return 影响行数
     */
    int insertBisHiddAssessRec(BisHiddAssessRec bisHiddAssessRec);

    /**
     * 修改隐患考核记录
     * @param bisHiddAssessRec 隐患考核记录信息
     * @return 影响行数
     */
    int updateBisHiddAssessRec(BisHiddAssessRec bisHiddAssessRec);

    /**
     * 删除隐患考核记录
     * @param id 隐患考核记录主键
     * @return 影响行数
     */
    int deleteBisHiddAssessRecById(Long id);

    /**
     * 批量删除隐患考核记录
     * @param ids 隐患考核记录主键数组
     * @return 影响行数
     */
    int deleteBisHiddAssessRecByIds(Long[] ids);
}
